Subject: Re: Info in growing carrots from seed?

From: "curt carlson" <[email-masked]>
Date: Tue, 21 Mar 95 11:58:34 PST

>From: [email-masked] (Ruth Miller)
>
>
>Carrots take a long time to sprout from seeds. Mine took about
>4-5 weeks last year. The best thing to do is cover them with 
>clear plastic after planting to keep moisture in. You can also
>keep an eye on them that way.  Also, raised beds help them grow
>straight because you can make your own loose bed that way.
>
>South Jersey sandy soil should be good for carrots, but make sure
>you add some organic peat or composted soil for nutrients.
>
>Carrots can be planted outside pretty soon in your area. If you use
>the clear plastic, it will allow you to plant sooner because it warms
>the soil and protects from frost.
>
>Also, buy seeds of Nantes variety and ones that are half-long. It will
>be easier to get straight carrots!
>
>Ted Swirsky ([email-masked]) wrote:
>
>: My daughter likes carrots and insisted we buy some seeds.  Are carrots
>: difficult to grow?  Any special requirements besides deep, loosened soil?
>
>: We are in South Jersey.  Thanks!
>
Another common practice (at least in my garden) is to plant radish seeds in
with the carrot seeds.  The radishes will sprout quickly, thus clearly
marking the area.  Radishes also attract some worms that bother carrots, and
they help to thin the carrots by spacing them.  Don't forget to thin your
carrots if you want good-sized ones.  The thinnings can make nice baby carrots
early in the season.  Instead of plastic, I use peat (or compost) to help
keep moisture in the soil and keep it from forming a crust; carrot seedlings
are very fine, and crusty soil can inhibit their early growth.

Curt Carlson
[email-masked]
Perseverance furthers.
I Ching

---

From: "curt carlson" <[email-masked]>
Date: Tue, 21 Mar 95 11:58:34 PST

Curt Carlson